# Get File System List - DescribeUFSVolume2

## Overview

Get File System List






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUFSVolume2`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **VolumeId** | string | File System ID |No|
| **Offset** | int | Start of File List |No|
| **Limit** | int | File List Length |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total Number of File Systems |**Yes**|
| **DataSet** | array[[*UFSVolumeInfo2*](#ufsvolumeinfo2)] | File System Detailed Information List |**Yes**|

#### Data Model


#### UFSVolumeInfo2

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **VolumeName** | string | File System Name |**Yes**|
| **VolumeId** | string | File System ID |**Yes**|
| **TotalMountPointNum** | int | The number of mount points created in the current file system |**Yes**|
| **MaxMountPointNum** | int | The maximum number of mount points that the file system allows to create |**Yes**|
| **StorageType** | string | File system storage type, enumeration value, Basic represents capacity type, Advanced represents performance type. |**Yes**|
| **ProtocolType** | string | File system protocol, enumeration value, NFSv3 represents NFS V3 protocol, NFSv4 represents NFS V4 protocol. |**Yes**|
| **Remark** | string | File System Remarks Information |No|
| **Tag** | string | File System's Business Group |No|
| **CreateTime** | int | File system creation time (unix timestamp) |No|
| **ExpiredTime** | int | File system expiration time (unix timestamp) |No|
| **Size** | int | File system size, unit GB |No|
| **UsedSize** | int | Current usage of the file system, unit GB |No|
| **IsExpired** | string | Is it expired? |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DescribeUFSVolume2
&Region=cn-zj
&ProjectId=DJpEkpgc
&VolumeId=lhwAtBELNnFFCCtnAZauZUyulVgLTOpIBFF
&Offset=9
&Limit=501
&Zone=cn-zj-01
```

### Response Example
    
```json
{
  "Action": "DescribeUFSVolume2Response",
  "DataSet": [
    {
      "CreateTime": 8,
      "ExpiredTime": 2,
      "IsExpired": "Yes",
      "MaxMountPointNum": 5,
      "ProtocolType": "NFSv4",
      "Remark": "PQJgSJOQ",
      "Size": 9,
      "StorageType": "Advanced",
      "Tag": "wVoXCOhQ",
      "TotalMountPointNum": 1,
      "UsedSize": 1,
      "VolumeId": "BCUKqVILayBIohkHvMFJcXAukkUgqZMflxt",
      "VolumeName": "qoXVyiHKLrARIxnISVeCmWRTxNCRqkLzfUR"
    },
    {
      "CreateTime": 2,
      "ExpiredTime": 4,
      "IsExpired": "Yes",
      "MaxMountPointNum": 5,
      "ProtocolType": "NFSv4",
      "Remark": "GXBqIxLc",
      "Size": 9,
      "StorageType": "Advanced",
      "Tag": "sxtcHxsh",
      "TotalMountPointNum": 1,
      "UsedSize": 1,
      "VolumeId": "ZxaoxhfYQpkFkQWbHCNEDgBeFjBUcOuRuMH",
      "VolumeName": "pYuTTcTGCFkHYOvfgkMVygwakxSnUPQdcEY"
    },
    {
      "CreateTime": 8,
      "ExpiredTime": 8,
      "IsExpired": "Yes",
      "MaxMountPointNum": 5,
      "ProtocolType": "NFSv4",
      "Remark": "SYHlTMuO",
      "Size": 5,
      "StorageType": "Advanced",
      "Tag": "XJUPznAp",
      "TotalMountPointNum": 1,
      "UsedSize": 1,
      "VolumeId": "AUFUveZpdYaXsFzzHsBhjNsKyweRXxDxfFh",
      "VolumeName": "LCtDHYigQPztASQNomZHEJliBWpEYgjWNrc"
    }
  ],
  "RetCode": 0,
  "TotalCount": 3
}
```





